import { geoEqualEarth, geoMercator, geoPath } from 'd3';

const projection = geoMercator()

//Define marks
export const Marks = ({ data: { laen, interiors } }) => {
	
  // define the geo path library object
  const path = geoPath(projection.fitExtent([[20, 20], [940, 480]], laen))
  
  return (
  <g className="marks">
     {laen.features.map((feature) => (
      <path
        className={'feature'}
        d={path(feature)}
      />
    ))}
    <path
      className={'interiors'}
      d={path(interiors)}
    />
  </g>
)};
